## v4l-utils 1.16.3

=== contrib/cobalt-ctl/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# contrib/cobalt-ctl/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/v4l-utils
pkgincludedir = $(includedir)/v4l-utils
pkglibdir = $(libdir)/v4l-utils
pkglibexecdir = $(libexecdir)/v4l-utils
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
bin_PROGRAMS = cobalt-ctl$(EXEEXT)
subdir = contrib/cobalt-ctl
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac_define_dir.m4 \
	$(top_srcdir)/m4/ax_prog_doxygen.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/mode_t.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am_cobalt_ctl_OBJECTS = cobalt-ctl.$(OBJEXT) s-record.$(OBJEXT)
cobalt_ctl_OBJECTS = $(am_cobalt_ctl_OBJECTS)
cobalt_ctl_LDADD = $(LDADD)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/cobalt-ctl.Po \
	./$(DEPDIR)/s-record.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(cobalt_ctl_SOURCES)
DIST_SOURCES = $(cobalt_ctl_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build-aux/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing aclocal-1.16
ALSA_CFLAGS = -I/usr/include/alsa
ALSA_LIBS = -lasound
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
ARGP_LIBS = 
AUTOCONF = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing autoconf
AUTOHEADER = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing autoheader
AUTOMAKE = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing automake-1.16
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CFLAG_VISIBILITY = -fvisibility=hidden
CLANG = clang
CPP = gcc -E
CPPFLAGS = -I$(top_srcdir)/lib/include -Wall -Wpointer-arith -D_GNU_SOURCE -I$(top_srcdir)/include 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DLOPEN_LIBS = -ldl
DOXYGEN_PAPER_SIZE = 
DSYMUTIL = 
DUMPBIN = 
DX_CONFIG = doxygen_libdvbv5.cfg
DX_DOCDIR = doxygen-doc
DX_DOT = /usr/bin/dot
DX_DOXYGEN = /usr/bin/doxygen
DX_DVIPS = 
DX_EGREP = /bin/egrep
DX_ENV =  SRCDIR='.' PROJECT='v4l-utils' DOCDIR='doxygen-doc' VERSION='1.16.3' PERL_PATH='/usr/bin/perl' HAVE_DOT='YES' DOT_PATH='/usr/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
DX_FLAG_chi = 0
DX_FLAG_chm = 0
DX_FLAG_doc = 1
DX_FLAG_dot = 1
DX_FLAG_html = 1
DX_FLAG_man = 0
DX_FLAG_pdf = 0
DX_FLAG_ps = 0
DX_FLAG_rtf = 0
DX_FLAG_xml = 0
DX_HHC = 
DX_LATEX = 
DX_MAKEINDEX = 
DX_PDFLATEX = 
DX_PERL = /usr/bin/perl
DX_PROJECT = v4l-utils
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ENFORCE_LIBDVBV5_STATIC = 
ENFORCE_LIBV4L_STATIC = 
EXEEXT = 
FGREP = /bin/grep -F
GETTEXT_MACRO_VERSION = 0.19
GLU_CFLAGS = -I/usr/include/libdrm
GLU_LIBS = -lGLU -lGL
GL_CFLAGS = -I/usr/include/libdrm
GL_LIBS = -lGL
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /bin/grep
HAVE_VISIBILITY = 1
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
IR_KEYTABLE_SYSTEM_DIR = /lib/udev/rc_keymaps
IR_KEYTABLE_USER_DIR = /usr/local/etc/rc_keymaps
JPEG_LIBS = -ljpeg
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBDVBV5_DOMAIN = libdvbv5
LIBELF_CFLAGS = 
LIBELF_LIBS = -lelf
LIBICONV = 
LIBINTL = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUDEV_CFLAGS = 
LIBUDEV_LIBS = -ludev
LIBV4L1_PRIV_DIR = /usr/local/lib/libv4l
LIBV4L2_PLUGIN_DIR = /usr/local/lib/libv4l/plugins
LIBV4L2_PRIV_DIR = /usr/local/lib/libv4l
LIBV4LCONVERT_PRIV_DIR = /usr/local/lib/libv4l
LIPO = 
LN_S = ln -s
LTLIBICONV = 
LTLIBINTL = 
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAINT = #
MAJOR = 1
MAKEINFO = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing makeinfo
MANIFEST_TOOL = :
MINOR = 16
MKDIR_P = /bin/mkdir -p
MOC = moc
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = v4l-utils
PACKAGE_BUGREPORT = 
PACKAGE_NAME = v4l-utils
PACKAGE_STRING = v4l-utils 1.16.3
PACKAGE_TARNAME = v4l-utils
PACKAGE_URL = 
PACKAGE_VERSION = 1.16.3
PATCH = 3
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POSUB = po
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
QT5GL_CFLAGS = -DQT_OPENGL_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/include/x86_64-linux-gnu/qt5/QtOpenGL -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtWidgets -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtGui -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtCore -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/libdrm
QT5GL_LIBS = -lQt5OpenGL -lQt5Widgets -lQt5Gui -lQt5Core -lGL
QT5_CFLAGS = -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/include/x86_64-linux-gnu/qt5/QtWidgets -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtGui -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtCore -I/usr/include/x86_64-linux-gnu/qt5
QT5_LIBS = -lQt5Widgets -lQt5Gui -lQt5Core
QTGL_CFLAGS = -DQT_OPENGL_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/include/x86_64-linux-gnu/qt5/QtOpenGL -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtWidgets -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtGui -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtCore -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/libdrm -fPIC
QTGL_LIBS = -lQt5OpenGL -lQt5Widgets -lQt5Gui -lQt5Core -lGL
QT_CFLAGS = -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/include/x86_64-linux-gnu/qt5/QtWidgets -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtGui -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtCore -I/usr/include/x86_64-linux-gnu/qt5 -fPIC
QT_LIBS = -lQt5Widgets -lQt5Gui -lQt5Core
RANLIB = ranlib
RCC = rcc
SDL2_CFLAGS = -D_REENTRANT -I/usr/include/SDL2
SDL2_LIBS = -lSDL2_image -lSDL2
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UIC = uic
USE_NLS = yes
V4L_UTILS_VERSION = 
VERSION = 1.16.3
X11_CFLAGS = 
X11_LIBS = -lX11
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
abs_builddir = /home/gjasny/src/linuxtv/v4l-utils/contrib/cobalt-ctl
abs_srcdir = /home/gjasny/src/linuxtv/v4l-utils/contrib/cobalt-ctl
abs_top_builddir = /home/gjasny/src/linuxtv/v4l-utils
abs_top_srcdir = /home/gjasny/src/linuxtv/v4l-utils
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include

=== debian/changelog ===
v4l-utils (1.16.3-3) unstable; urgency=medium

  * Drop broken libdvbv5 patch (Closes: #927341)

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 27 Apr 2019 22:45:54 +0200

v4l-utils (1.16.3-2) unstable; urgency=medium

  * Fix double-free and uninitailized memory issue. LP: #1819650

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 14 Apr 2019 14:30:26 +0200

v4l-utils (1.16.3-1) unstable; urgency=medium

  * Imported Upstream version 1.16.3
  * Remove patches applied upstream
  * Avoid clang build dependency on architectures
    where it does not exist

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 15 Dec 2018 19:34:33 +0100

v4l-utils (1.16.1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Annotate clang Build-Depends with :native. (Closes: #912904)

  [ Gregor Jasny ]
  * keytable: fix BPF protocol compilation on mips

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 07 Nov 2018 20:32:50 +0100

v4l-utils (1.16.1-1) unstable; urgency=low

  * Imported Upstream version 1.16.1

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 18 Oct 2018 20:18:22 +0200

=== debian/control ===
Source: v4l-utils
Section: video
Priority: optional
Maintainer: Gregor Jasny <gjasny@googlemail.com>
Uploaders: Martin Pitt <mpitt@debian.org>,
           Loic Minier <lool@dooz.org>
Build-Depends: debhelper (>= 8.1.3),
               dh-autoreconf,
               autotools-dev,
               clang:native [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sparc64 x32],
               doxygen,
               gettext,
               graphviz,
               libasound2-dev,
               libelf-dev,
               libqt5opengl5-dev,
               libtool,
               libjpeg-dev,
               qtbase5-dev,
               libudev-dev [linux-any],
               libx11-dev,
               pkg-config,
               udev [linux-any]
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/libv4l
Vcs-Git: https://salsa.debian.org/debian/libv4l.git
Homepage: https://linuxtv.org/downloads/v4l-utils/

Package: libv4l-0
Section: libs
Architecture: linux-any kfreebsd-any
Depends: libv4lconvert0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Collection of video4linux support libraries
 libv4l is a collection of libraries which adds a thin abstraction layer on
 top of video4linux2 devices. The purpose of this (thin) layer is to make it
 easy for application writers to support a wide variety of devices without
 having to write separate code for different devices in the same class. libv4l
 consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
 .
 libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
 of the drivers for those devices supporting v4l1 compatibility (which many
 v4l2 drivers do not).
 .
 libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
 application transparent libv4lconvert conversion where necessary.
 .
 This package contains the shared libraries.

Package: libv4lconvert0
Section: libs
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libv4l-0 (<< 0.8.5-4)
Replaces: libv4l-0 (<< 0.8.5-4)
Multi-Arch: same
Description: Video4linux frame format conversion library
 libv4lconvert offers functions to convert from any (known) pixelformat
 to BGR24, RGB24, YUV420 and YVU420.
 .
 This package contains the shared library.

Package: libv4l2rds0
Section: libs
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Video4Linux Radio Data System (RDS) decoding library
 This library decodes a RDS stream obtained from a Video4Linux (V4L)
 version 2 device. It supports both: the US based RBDS and European RDS
 protocol.
 .
 This package contains the shared library.

Package: libv4l-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Depends: libv4l-0 (= ${binary:Version}),
         libv4lconvert0 (= ${binary:Version}),
         libv4l2rds0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: pkg-config (>= 0.18)
Multi-Arch: same
Description: Collection of video4linux support libraries (development files)
 libv4l is a collection of libraries which adds a thin abstraction layer on
 top of video4linux2 devices. The purpose of this (thin) layer is to make it
 easy for application writers to support a wide variety of devices without
 having to write separate code for different devices in the same class. libv4l
 consists of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
 .
 libv4lconvert offers functions to convert from any (known) pixelformat
 to BGR24, RGB24, YUV420 and YVU420.
 .
 libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent
 of the drivers for those devices supporting v4l1 compatibility (which many
 v4l2 drivers do not).
 .
 libv4l2 offers the v4l2 API on top of v4l2 devices, while adding for the
 application transparent libv4lconvert conversion where necessary.
 .
 This package contains the development files.

Package: v4l-utils
Section: utils
Architecture: linux-any
Depends: libv4l-0 (= ${binary:Version}),
         libv4l2rds0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: ivtv-utils (<< 1.4.1-2), media-ctl
Breaks: ivtv-utils (<< 1.4.1-2), media-ctl
Description: Collection of command line video4linux utilities
 v4l-utils contains the following video4linux command line utilities:
 .
  decode_tm6000: decodes tm6000 proprietary format streams
  rds-ctl: tool to receive and decode Radio Data System (RDS) streams
  v4l2-compliance: tool to test v4l2 API compliance of drivers
  v4l2-ctl, cx18-ctl, ivtv-ctl: tools to control v4l2 controls from the cmdline
  v4l2-dbg: tool to directly get and set registers of v4l2 devices
  v4l2-sysfs-path: sysfs helper tool

Package: libdvbv5-0
Section: libs
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Libraries to control, scan and zap on Digital TV channels
 This library provides functions to work with DVB devices that
 implement the DVB v5 API.
 .
 This package contains the shared libraries.

Package: libdvbv5-dev
Section: libdevel
Architecture: linux-any
Depends: libdvbv5-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: pkg-config (>= 0.18), libdvbv5-doc
Multi-Arch: same
Description: Development files for libdvbv5
 This library provides functions to work with DVB devices that
 implement the DVB v5 API.
 .
 This package contains the development files.

Package: libdvbv5-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Multi-Arch: foreign
Description: Doxygen generated documentation for libdvbv5
 This library provides functions to work with DVB devices that
 implement the DVB v5 API.
 .
 This package provides doxygen generated documentation for the library.

Package: dvb-tools
Section: utils
Architecture: linux-any
Depends: libdvbv5-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Collection of command line DVB utilities
 This is a series of tools written to help testing and working with DVB,
 using its latest V5 API. The tools can also work with the DVBv3 API.
 .
 The current tools are:
 .
 dvb-fe-tool: a simple test application, that reads from the frontend.
 it also allows one to change the default delivery system.
 In the future, it may be used to change any property via command line.
 .
 dvb-format-convert: converts from zap and scan initial-tuning-data-file
 into the new format defined to work with DVBv5.
 .
 dvbv5-scan: a DVBv5 scan tool.
 .
 dvbv5-zap: a DVBv5 zap tool. It allows one to tune into a DVB channel,
 and to watch to a DVB service (e. g. receiving the video and audio
 streams, via another application using the dvr device).

Package: qv4l2
Section: utils
Architecture: linux-any
Depends: libv4l-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Test bench application for video4linux devices
 Qt v4l2 control panel application. You can change all through the v4l2
 interface exposed device controls.

Package: ir-keytable
Section: utils
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: udev
Description: Alter keymaps of Remote Controller devices
 This package allows one to change the keymap of controller receivers.
 Those receivers are found as infrared receivers on DVB sticks or on
 framegrabber cards. Via ir-keytable the mapping from a scancode to
 the generated event can be customized and made persistent.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export QT_SELECT=qt5
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# latex generation seems to be broken
CONFIGURE_FLAGS += --enable-doxygen-man --disable-doxygen-ps --disable-doxygen-pdf
CONFIGURE_FLAGS += --disable-qvidcap

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./bootstrap.sh

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules --with-libv4lconvertsubdir=libv4lconvert0 $(CONFIGURE_FLAGS)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doxygen-run

override_dh_install:
	# Remove useless autogenreated doxygen files
	rm -f doxygen-doc/html/*.md5

	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs -Nlibv4l-dev -Nv4l-utils -Nqv4l2 ChangeLog

override_dh_installdocs:
	dh_installdocs -Nlibv4l-dev -Nv4l-utils -Nqv4l2

override_dh_makeshlibs:
	dh_makeshlibs -Xv4l1compat -Xv4l2convert -Xlibv4l-mplane -Xrc_keymaps/protocols

override_dh_shlibdeps:
	dh_shlibdeps -Xrc_keymaps/protocols

## v4l-utils 1.16.6

=== debian/changelog ===
v4l-utils (1.16.6-2) unstable; urgency=low

  * Bumped standards to version 4.4.0 (no changes needed)
  * Minimize upstream signing key
  * Add Build-Depends-Package field in symbols file

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 17 Jul 2019 22:40:29 +0200

v4l-utils (1.16.6-1) unstable; urgency=medium

  [ Martin Pitt ]
  * Remove Martin Pitt from Uploaders:

  [ Gregor Jasny ]
  * Import latest 1.16.6 upstream release
  * Bumped standards to version 4.3.0 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 03 May 2019 19:34:00 +0200

## v4l-utils 1.16.7

=== contrib/cobalt-ctl/Makefile ===
--- 
+++ 
@@ -214,7 +214,7 @@
 DX_DOXYGEN = /usr/bin/doxygen
 DX_DVIPS = 
 DX_EGREP = /bin/egrep
-DX_ENV =  SRCDIR='.' PROJECT='v4l-utils' DOCDIR='doxygen-doc' VERSION='1.16.3' PERL_PATH='/usr/bin/perl' HAVE_DOT='YES' DOT_PATH='/usr/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
+DX_ENV =  SRCDIR='.' PROJECT='v4l-utils' DOCDIR='doxygen-doc' VERSION='1.16.7' PERL_PATH='/usr/bin/perl' HAVE_DOT='YES' DOT_PATH='/usr/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
 DX_FLAG_chi = 0
 DX_FLAG_chm = 0
 DX_FLAG_doc = 1
@@ -299,11 +299,11 @@
 PACKAGE = v4l-utils
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = v4l-utils
-PACKAGE_STRING = v4l-utils 1.16.3
+PACKAGE_STRING = v4l-utils 1.16.7
 PACKAGE_TARNAME = v4l-utils
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.16.3
-PATCH = 3
+PACKAGE_VERSION = 1.16.7
+PATCH = 7
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -331,7 +331,7 @@
 UIC = uic
 USE_NLS = yes
 V4L_UTILS_VERSION = 
-VERSION = 1.16.3
+VERSION = 1.16.7
 X11_CFLAGS = 
 X11_LIBS = -lX11
 XGETTEXT = /usr/bin/xgettext

=== debian/changelog ===
v4l-utils (1.16.7-1) unstable; urgency=medium

  * Import latest 1.16.7 upstream release. LP: #1841269

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 01 Sep 2019 14:59:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Gregor Jasny <gjasny@googlemail.com>
-Uploaders: Martin Pitt <mpitt@debian.org>,
-           Loic Minier <lool@dooz.org>
+Uploaders: Loic Minier <lool@dooz.org>
 Build-Depends: debhelper (>= 8.1.3),
                dh-autoreconf,
                autotools-dev,
@@ -21,7 +20,7 @@
                libx11-dev,
                pkg-config,
                udev [linux-any]
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/libv4l
 Vcs-Git: https://salsa.debian.org/debian/libv4l.git
 Homepage: https://linuxtv.org/downloads/v4l-utils/

## v4l-utils 1.18.0

=== contrib/cobalt-ctl/Makefile ===
--- 
+++ 
@@ -93,10 +93,15 @@
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_define_dir.m4 \
 	$(top_srcdir)/m4/ax_prog_doxygen.m4 \
-	$(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/libtool.m4 \
+	$(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/gettext.m4 \
+	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
+	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
+	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
 	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
 	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/mode_t.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/mode_t.m4 $(top_srcdir)/m4/nls.m4 \
+	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
+	$(top_srcdir)/m4/visibility.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
@@ -214,7 +219,7 @@
 DX_DOXYGEN = /usr/bin/doxygen
 DX_DVIPS = 
 DX_EGREP = /bin/egrep
-DX_ENV =  SRCDIR='.' PROJECT='v4l-utils' DOCDIR='doxygen-doc' VERSION='1.16.7' PERL_PATH='/usr/bin/perl' HAVE_DOT='YES' DOT_PATH='/usr/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
+DX_ENV =  SRCDIR='.' PROJECT='v4l-utils' DOCDIR='doxygen-doc' VERSION='1.18.0' PERL_PATH='/usr/bin/perl' HAVE_DOT='YES' DOT_PATH='/usr/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
 DX_FLAG_chi = 0
 DX_FLAG_chm = 0
 DX_FLAG_doc = 1
@@ -284,7 +289,7 @@
 MAJOR = 1
 MAKEINFO = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing makeinfo
 MANIFEST_TOOL = :
-MINOR = 16
+MINOR = 18
 MKDIR_P = /bin/mkdir -p
 MOC = moc
 MSGFMT = /usr/bin/msgfmt
@@ -299,11 +304,11 @@
 PACKAGE = v4l-utils
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = v4l-utils
-PACKAGE_STRING = v4l-utils 1.16.7
+PACKAGE_STRING = v4l-utils 1.18.0
 PACKAGE_TARNAME = v4l-utils
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.16.7
-PATCH = 7
+PACKAGE_VERSION = 1.18.0
+PATCH = 0
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -331,18 +336,9 @@
 UIC = uic
 USE_NLS = yes
 V4L_UTILS_VERSION = 
-VERSION = 1.16.7
+VERSION = 1.18.0
 X11_CFLAGS = 
 X11_LIBS = -lX11
 XGETTEXT = /usr/bin/xgettext
 XGETTEXT_015 = /usr/bin/xgettext
 XGETTEXT_EXTRA_OPTIONS = 
-abs_builddir = /home/gjasny/src/linuxtv/v4l-utils/contrib/cobalt-ctl
-abs_srcdir = /home/gjasny/src/linuxtv/v4l-utils/contrib/cobalt-ctl
-abs_top_builddir = /home/gjasny/src/linuxtv/v4l-utils
-abs_top_srcdir = /home/gjasny/src/linuxtv/v4l-utils
-ac_ct_AR = ar
-ac_ct_CC = gcc
-ac_ct_CXX = g++
-ac_ct_DUMPBIN = 
-am__include = include

=== debian/changelog ===
v4l-utils (1.18.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:11:17 +0100

v4l-utils (1.18.0-2) unstable; urgency=medium

  * Install libdvbv5 translation files
  * Install v4l-utils translation files
  * Bumped standards to version 4.4.1 (no changes needed)
  * Ignore library-not-linked-against-libc error for preload-library

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 23 Nov 2019 22:55:32 +0100

v4l-utils (1.18.0-1) unstable; urgency=low

  * Import latest 1.18.0 upstream release.

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 22 Sep 2019 12:21:28 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libx11-dev,
                pkg-config,
                udev [linux-any]
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/libv4l
 Vcs-Git: https://salsa.debian.org/debian/libv4l.git
 Homepage: https://linuxtv.org/downloads/v4l-utils/

## v4l-utils 1.20.0

=== contrib/cobalt-ctl/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.1 from Makefile.am.
+# Makefile.in generated by automake 1.16.2 from Makefile.am.
 # contrib/cobalt-ctl/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2018 Free Software Foundation, Inc.
+# Copyright (C) 1994-2020 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -184,7 +184,7 @@
 	$(top_srcdir)/build-aux/depcomp
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing aclocal-1.16
-ALSA_CFLAGS = -I/usr/include/alsa
+ALSA_CFLAGS = 
 ALSA_LIBS = -lasound
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
@@ -193,7 +193,7 @@
 AUTOCONF = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing autoconf
 AUTOHEADER = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing autoheader
 AUTOMAKE = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing automake-1.16
-AWK = mawk
+AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2
@@ -219,7 +219,7 @@
 DX_DOXYGEN = /usr/bin/doxygen
 DX_DVIPS = 
 DX_EGREP = /bin/egrep
-DX_ENV =  SRCDIR='.' PROJECT='v4l-utils' DOCDIR='doxygen-doc' VERSION='1.18.0' PERL_PATH='/usr/bin/perl' HAVE_DOT='YES' DOT_PATH='/usr/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
+DX_ENV =  SRCDIR='.' PROJECT='v4l-utils' DOCDIR='doxygen-doc' VERSION='1.20.0' PERL_PATH='/usr/bin/perl' HAVE_DOT='YES' DOT_PATH='/usr/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
 DX_FLAG_chi = 0
 DX_FLAG_chm = 0
 DX_FLAG_doc = 1
@@ -245,9 +245,9 @@
 EXEEXT = 
 FGREP = /bin/grep -F
 GETTEXT_MACRO_VERSION = 0.19
-GLU_CFLAGS = -I/usr/include/libdrm
+GLU_CFLAGS = 
 GLU_LIBS = -lGLU -lGL
-GL_CFLAGS = -I/usr/include/libdrm
+GL_CFLAGS = 
 GL_LIBS = -lGL
 GMSGFMT = /usr/bin/msgfmt
 GMSGFMT_015 = /usr/bin/msgfmt
@@ -289,7 +289,7 @@
 MAJOR = 1
 MAKEINFO = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing makeinfo
 MANIFEST_TOOL = :
-MINOR = 18
+MINOR = 20
 MKDIR_P = /bin/mkdir -p
 MOC = moc
 MSGFMT = /usr/bin/msgfmt
@@ -304,10 +304,10 @@
 PACKAGE = v4l-utils
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = v4l-utils
-PACKAGE_STRING = v4l-utils 1.18.0
+PACKAGE_STRING = v4l-utils 1.20.0
 PACKAGE_TARNAME = v4l-utils
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.18.0
+PACKAGE_VERSION = 1.20.0
 PATCH = 0
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
@@ -317,11 +317,11 @@
 PTHREAD_CC = gcc
 PTHREAD_CFLAGS = -pthread
 PTHREAD_LIBS = 
-QT5GL_CFLAGS = -DQT_OPENGL_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/include/x86_64-linux-gnu/qt5/QtOpenGL -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtWidgets -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtGui -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtCore -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/libdrm
+QT5GL_CFLAGS = -DQT_OPENGL_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/include/x86_64-linux-gnu/qt5/QtOpenGL -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtWidgets -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtGui -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtCore -I/usr/include/x86_64-linux-gnu/qt5
 QT5GL_LIBS = -lQt5OpenGL -lQt5Widgets -lQt5Gui -lQt5Core -lGL
 QT5_CFLAGS = -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/include/x86_64-linux-gnu/qt5/QtWidgets -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtGui -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtCore -I/usr/include/x86_64-linux-gnu/qt5
 QT5_LIBS = -lQt5Widgets -lQt5Gui -lQt5Core
-QTGL_CFLAGS = -DQT_OPENGL_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/include/x86_64-linux-gnu/qt5/QtOpenGL -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtWidgets -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtGui -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtCore -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/libdrm -fPIC
+QTGL_CFLAGS = -DQT_OPENGL_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/include/x86_64-linux-gnu/qt5/QtOpenGL -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtWidgets -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtGui -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtCore -I/usr/include/x86_64-linux-gnu/qt5 -fPIC
 QTGL_LIBS = -lQt5OpenGL -lQt5Widgets -lQt5Gui -lQt5Core -lGL
 QT_CFLAGS = -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/include/x86_64-linux-gnu/qt5/QtWidgets -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtGui -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtCore -I/usr/include/x86_64-linux-gnu/qt5 -fPIC
 QT_LIBS = -lQt5Widgets -lQt5Gui -lQt5Core
@@ -336,9 +336,11 @@
 UIC = uic
 USE_NLS = yes
 V4L_UTILS_VERSION = 
-VERSION = 1.18.0
+VERSION = 1.20.0
 X11_CFLAGS = 
 X11_LIBS = -lX11
 XGETTEXT = /usr/bin/xgettext
 XGETTEXT_015 = /usr/bin/xgettext
 XGETTEXT_EXTRA_OPTIONS = 
+abs_builddir = /home/gjasny/src/linuxtv/v4l-utils/contrib/cobalt-ctl
+abs_srcdir = /home/gjasny/src/linuxtv/v4l-utils/contrib/cobalt-ctl

=== debian/changelog ===
v4l-utils (1.20.0-2) unstable; urgency=medium

  * Use upstream version of ir-keytable udev rule
    (Closes: #966166) (LP: #1903966)
  * Bump standards to version 4.5.1 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 20 Nov 2020 14:50:43 +0100

v4l-utils (1.20.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #966166)

 -- Paul Gevers <elbrus@debian.org>  Fri, 24 Jul 2020 08:11:41 +0200

v4l-utils (1.20.0-1) unstable; urgency=low

  * Import latest 1.20.0 upstream release.

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 21 May 2020 13:27:48 +0200

v4l-utils (1.18.1-1) unstable; urgency=medium

  * Import latest 1.18.1 upstream release (Closes: #957904)
  * Bumped standards to version 4.5.0 (no changes needed)
  * Use debhelper v12

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 02 May 2020 14:37:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,7 @@
 Priority: optional
 Maintainer: Gregor Jasny <gjasny@googlemail.com>
 Uploaders: Loic Minier <lool@dooz.org>
-Build-Depends: debhelper (>= 8.1.3),
-               dh-autoreconf,
-               autotools-dev,
+Build-Depends: debhelper-compat (=12),
                clang:native [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sparc64 x32],
                doxygen,
                gettext,
@@ -20,7 +18,7 @@
                libx11-dev,
                pkg-config,
                udev [linux-any]
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/libv4l
 Vcs-Git: https://salsa.debian.org/debian/libv4l.git
 Homepage: https://linuxtv.org/downloads/v4l-utils/

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 CONFIGURE_FLAGS += --disable-qvidcap
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_autoreconf:
 	dh_autoreconf ./bootstrap.sh
@@ -24,8 +24,7 @@
 override_dh_install:
 	# Remove useless autogenreated doxygen files
 	rm -f doxygen-doc/html/*.md5
-
-	dh_install --list-missing
+	dh_install
 
 override_dh_installchangelogs:
 	dh_installchangelogs -Nlibv4l-dev -Nv4l-utils -Nqv4l2 ChangeLog

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://linuxtv.org/downloads/@PACKAGE@/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## v4l-utils 1.22.1

=== contrib/cobalt-ctl/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.2 from Makefile.am.
+# Makefile.in generated by automake 1.16.5 from Makefile.am.
 # contrib/cobalt-ctl/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2020 Free Software Foundation, Inc.
+# Copyright (C) 1994-2021 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -93,15 +93,11 @@
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ac_define_dir.m4 \
 	$(top_srcdir)/m4/ax_prog_doxygen.m4 \
-	$(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/gettext.m4 \
-	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
-	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
-	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
+	$(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/libtool.m4 \
 	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
 	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-	$(top_srcdir)/m4/mode_t.m4 $(top_srcdir)/m4/nls.m4 \
-	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
-	$(top_srcdir)/m4/visibility.m4 $(top_srcdir)/configure.ac
+	$(top_srcdir)/m4/mode_t.m4 $(top_srcdir)/m4/visibility.m4 \
+	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
@@ -178,21 +174,19 @@
   unique=`for i in $$list; do \
     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   done | $(am__uniquify_input)`
-ETAGS = etags
-CTAGS = ctags
 am__DIST_COMMON = $(srcdir)/Makefile.in \
 	$(top_srcdir)/build-aux/depcomp
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing aclocal-1.16
+ACLOCAL = ${SHELL} '/home/gjasny/src/linuxtv/v4l-utils/build-aux/missing' aclocal-1.16
 ALSA_CFLAGS = 
 ALSA_LIBS = -lasound
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
 ARGP_LIBS = 
-AUTOCONF = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing autoconf
-AUTOHEADER = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing autoheader
-AUTOMAKE = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing automake-1.16
+AUTOCONF = ${SHELL} '/home/gjasny/src/linuxtv/v4l-utils/build-aux/missing' autoconf
+AUTOHEADER = ${SHELL} '/home/gjasny/src/linuxtv/v4l-utils/build-aux/missing' autoheader
+AUTOMAKE = ${SHELL} '/home/gjasny/src/linuxtv/v4l-utils/build-aux/missing' automake-1.16
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -201,6 +195,8 @@
 CLANG = clang
 CPP = gcc -E
 CPPFLAGS = -I$(top_srcdir)/lib/include -Wall -Wpointer-arith -D_GNU_SOURCE -I$(top_srcdir)/include 
+CSCOPE = cscope
+CTAGS = ctags
 CXX = g++
 CXXCPP = g++ -E
 CXXDEPMODE = depmode=gcc3
@@ -219,7 +215,7 @@
 DX_DOXYGEN = /usr/bin/doxygen
 DX_DVIPS = 
 DX_EGREP = /bin/egrep
-DX_ENV =  SRCDIR='.' PROJECT='v4l-utils' DOCDIR='doxygen-doc' VERSION='1.20.0' PERL_PATH='/usr/bin/perl' HAVE_DOT='YES' DOT_PATH='/usr/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
+DX_ENV =  SRCDIR='.' PROJECT='v4l-utils' DOCDIR='doxygen-doc' VERSION='1.22.1' PERL_PATH='/usr/bin/perl' HAVE_DOT='YES' DOT_PATH='/usr/bin' GENERATE_MAN='NO' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
 DX_FLAG_chi = 0
 DX_FLAG_chm = 0
 DX_FLAG_doc = 1
@@ -242,9 +238,13 @@
 EGREP = /bin/grep -E
 ENFORCE_LIBDVBV5_STATIC = 
 ENFORCE_LIBV4L_STATIC = 
+ETAGS = etags
 EXEEXT = 
 FGREP = /bin/grep -F
-GETTEXT_MACRO_VERSION = 0.19
+GETTEXT_MACRO_VERSION = 0.20
+GIT_COMMIT_CNT = -DGIT_COMMIT_CNT=$(shell if test -e $(top_srcdir)/.git ; then printf '-'; git -C $(top_srcdir) rev-list --count HEAD ; fi)
+GIT_COMMIT_DATE = -DGIT_COMMIT_DATE=$(shell if test -e $(top_srcdir)/.git ; then TZ=UTC git -C $(top_srcdir) show --quiet --date='format-local:"%F %T"' --format='%cd'; fi)
+GIT_SHA = -DGIT_SHA=$(shell if test -e $(top_srcdir)/.git ; then git -C $(top_srcdir) rev-parse --short=12 HEAD ; fi)
 GLU_CFLAGS = 
 GLU_LIBS = -lGLU -lGL
 GL_CFLAGS = 
@@ -265,6 +265,8 @@
 JPEG_LIBS = -ljpeg
 LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
+LIBBPF_CFLAGS = 
+LIBBPF_LIBS = -lbpf
 LIBDVBV5_DOMAIN = libdvbv5
 LIBELF_CFLAGS = 
 LIBELF_LIBS = -lelf
@@ -287,14 +289,14 @@
 LT_SYS_LIBRARY_PATH = 
 MAINT = #
 MAJOR = 1
-MAKEINFO = ${SHELL} /home/gjasny/src/linuxtv/v4l-utils/build-aux/missing makeinfo
+MAKEINFO = ${SHELL} '/home/gjasny/src/linuxtv/v4l-utils/build-aux/missing' makeinfo
 MANIFEST_TOOL = :
-MINOR = 20
+MINOR = 22
 MKDIR_P = /bin/mkdir -p
 MOC = moc
 MSGFMT = /usr/bin/msgfmt
-MSGFMT_015 = /usr/bin/msgfmt
 MSGMERGE = /usr/bin/msgmerge
+MSGMERGE_FOR_MSGFMT_OPTION = --for-msgfmt
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
@@ -304,11 +306,11 @@
 PACKAGE = v4l-utils
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = v4l-utils
-PACKAGE_STRING = v4l-utils 1.20.0
+PACKAGE_STRING = v4l-utils 1.22.1
 PACKAGE_TARNAME = v4l-utils
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.20.0
-PATCH = 0
+PACKAGE_VERSION = 1.22.1
+PATCH = 1
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -316,7 +318,8 @@
 POSUB = po
 PTHREAD_CC = gcc
 PTHREAD_CFLAGS = -pthread
-PTHREAD_LIBS = 
+PTHREAD_CXX = g++
+PTHREAD_LIBS = -lpthread
 QT5GL_CFLAGS = -DQT_OPENGL_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/include/x86_64-linux-gnu/qt5/QtOpenGL -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtWidgets -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtGui -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtCore -I/usr/include/x86_64-linux-gnu/qt5
 QT5GL_LIBS = -lQt5OpenGL -lQt5Widgets -lQt5Gui -lQt5Core -lGL
 QT5_CFLAGS = -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/include/x86_64-linux-gnu/qt5/QtWidgets -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtGui -I/usr/include/x86_64-linux-gnu/qt5 -I/usr/include/x86_64-linux-gnu/qt5/QtCore -I/usr/include/x86_64-linux-gnu/qt5
@@ -336,11 +339,4 @@
 UIC = uic
 USE_NLS = yes
 V4L_UTILS_VERSION = 
-VERSION = 1.20.0
-X11_CFLAGS = 
-X11_LIBS = -lX11
-XGETTEXT = /usr/bin/xgettext
-XGETTEXT_015 = /usr/bin/xgettext
-XGETTEXT_EXTRA_OPTIONS = 
-abs_builddir = /home/gjasny/src/linuxtv/v4l-utils/contrib/cobalt-ctl
-abs_srcdir = /home/gjasny/src/linuxtv/v4l-utils/contrib/cobalt-ctl
+VERSION = 1.22.1

=== debian/changelog ===
v4l-utils (1.22.1-5) unstable; urgency=low

  [ Sudip Mukherjee ]
  * Port ir-keytable to libbpf/1.0.1 (Closes: #1018915)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 04 Nov 2022 11:31:28 +0100

v4l-utils (1.22.1-4) unstable; urgency=high

  * Bump standards to version 4.6.1.0 (no changes needed)
  * Tighten qvidcap architectures (Closes: #1011408)

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 22 May 2022 15:08:50 +0200

v4l-utils (1.22.1-3) unstable; urgency=medium

  * Package qvidcap (Closes: #1007008)

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 13 Mar 2022 17:29:59 +0100

v4l-utils (1.22.1-2) unstable; urgency=medium

  * Add riscv to list of clang-enabled architectures (Closes: #997677)
  * Conditionally install ir-keytable systemd unit file

 -- Gregor Jasny <gjasny@googlemail.com>  Tue, 26 Oct 2021 16:31:18 +0200

v4l-utils (1.22.1-1) unstable; urgency=low

  * Import latest 1.22.1 upstream release.
  * Bumped standards to version 4.6.0 (no changes needed)
  * Depend on libbpf-dev (Closes: #979610)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 15 Oct 2021 18:55:19 +0200

v4l-utils (1.20.0-4) unstable; urgency=medium

  * Use upstream patch for GCC 11 compatibility

 -- Gregor Jasny <gjasny@googlemail.com>  Mon, 15 Mar 2021 12:55:40 +0100

v4l-utils (1.20.0-3) unstable; urgency=medium

  * Configure Debian Salsa pipeline
  * Fix gettext related FTBFS
  * Fix GCC 11 FTBFS (Closes: #984381)
  * Fix potential format-overflow in media-ctl

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 14 Mar 2021 12:34:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Gregor Jasny <gjasny@googlemail.com>
 Uploaders: Loic Minier <lool@dooz.org>
-Build-Depends: debhelper-compat (=12),
-               clang:native [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sparc64 x32],
+Build-Depends: debhelper-compat (= 13),
+               clang:native [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe riscv64 ppc64 sparc64],
                doxygen,
                gettext,
                graphviz,
                libasound2-dev,
+               libbpf-dev [linux-any],
                libelf-dev,
                libqt5opengl5-dev,
                libtool,
@@ -17,8 +18,9 @@
                libudev-dev [linux-any],
                libx11-dev,
                pkg-config,
+               systemd [linux-any],
                udev [linux-any]
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1.0
 Vcs-Browser: https://salsa.debian.org/debian/libv4l
 Vcs-Git: https://salsa.debian.org/debian/libv4l.git
 Homepage: https://linuxtv.org/downloads/v4l-utils/
@@ -198,6 +200,17 @@
  Qt v4l2 control panel application. You can change all through the v4l2
  interface exposed device controls.
 
+Package: qvidcap
+Section: utils
+Architecture: linux-any
+Depends: libv4l-0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: Capture test utility for video4linux devices
+ The qvidcap tool is used to test video4linux capture devices,
+ either using a video device, a file, or over network.
+ This application can also serve as a generic video/TV viewer application.
+
 Package: ir-keytable
 Section: utils
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,23 @@
 
 # latex generation seems to be broken
 CONFIGURE_FLAGS += --enable-doxygen-man --disable-doxygen-ps --disable-doxygen-pdf
+
+# see https://salsa.debian.org/qt-kde-team/qt/qtbase/-/blob/master/debian/rules#L33
+gles2_architectures := armel armhf
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
 CONFIGURE_FLAGS += --disable-qvidcap
+BUILD_PACKAGES = -Nqvidcap
+endif
 
 %:
-	dh $@
+	dh $@ $(BUILD_PACKAGES)
 
 override_dh_autoreconf:
 	dh_autoreconf ./bootstrap.sh
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f debian/ir-keytable.install.$(DEB_HOST_ARCH)
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-silent-rules --with-libv4lconvertsubdir=libv4lconvert0 $(CONFIGURE_FLAGS)
@@ -24,6 +34,11 @@
 override_dh_install:
 	# Remove useless autogenreated doxygen files
 	rm -f doxygen-doc/html/*.md5
+
+	# this file is only conditionally created (clang availablility, enabled systemd filters)
+	cp -f debian/ir-keytable.install debian/ir-keytable.install.$(DEB_HOST_ARCH)
+	test ! -f debian/tmp/lib/systemd/system/systemd-udevd.service.d/50-rc_keymap.conf || echo lib/systemd/system/systemd-udevd.service.d/50-rc_keymap.conf >> debian/ir-keytable.install.$(DEB_HOST_ARCH)
+
 	dh_install
 
 override_dh_installchangelogs:
